summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rw-r--r--tools/check_for_upgrade.sh2
-rwxr-xr-xtools/install.sh25
-rwxr-xr-xtools/theme_chooser.sh3
-rw-r--r--tools/upgrade.sh2
4 files changed, 24 insertions, 8 deletions
diff --git a/tools/check_for_upgrade.sh b/tools/check_for_upgrade.sh
index 581f03a07..0f8c9c391 100644
--- a/tools/check_for_upgrade.sh
+++ b/tools/check_for_upgrade.sh
@@ -20,6 +20,8 @@ if [[ -z "$epoch_target" ]]; then
epoch_target=13
fi
+[ -f ~/.profile ] && source ~/.profile
+
if [ -f ~/.zsh-update ]
then
. ~/.zsh-update
diff --git a/tools/install.sh b/tools/install.sh
index a2bd5665a..343f251ae 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -1,11 +1,18 @@
-if [ -d ~/.oh-my-zsh ]
+set -e
+
+if [ ! -n $ZSH ]
+then
+ ZSH=~/.oh-my-zsh
+fi
+
+if [ -d $ZSH ]
then
- echo "\033[0;33mYou already have Oh My Zsh installed.\033[0m You'll need to remove ~/.oh-my-zsh if you want to install"
+ echo "\033[0;33mYou already have Oh My Zsh installed.\033[0m You'll need to remove $ZSH if you want to install"
exit
fi
echo "\033[0;34mCloning Oh My Zsh...\033[0m"
-hash git >/dev/null && /usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh || {
+hash git >/dev/null && /usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
echo "git not installed"
exit
}
@@ -18,10 +25,15 @@ then
fi
echo "\033[0;34mUsing the Oh My Zsh template file and adding it to ~/.zshrc\033[0m"
-cp ~/.oh-my-zsh/templates/zshrc.zsh-template ~/.zshrc
+cp $ZSH/templates/zshrc.zsh-template ~/.zshrc
+sed -i -e "/^ZSH=/ c\\
+ZSH=$ZSH
+" ~/.zshrc
echo "\033[0;34mCopying your current PATH and adding it to the end of ~/.zshrc for you.\033[0m"
-echo "export PATH=\$PATH:$PATH" >> ~/.zshrc
+sed -i -e "/export PATH=/ c\\
+export PATH=\"$PATH\"
+" ~/.zshrc
echo "\033[0;34mTime to change your default shell to zsh!\033[0m"
chsh -s `which zsh`
@@ -34,5 +46,6 @@ echo "\033[0;32m"'\____/_/ /_/ /_/ /_/ /_/\__, / /___/____/_/ /_/ '"\033[0m
echo "\033[0;32m"' /____/ '"\033[0m"
echo "\n\n \033[0;32m....is now installed.\033[0m"
+echo "\n\n \033[0;32mPlease look over the ~/.zshrc file to select plugins, themes, and options.\033[0m"
/usr/bin/env zsh
-source ~/.zshrc
+. ~/.zshrc
diff --git a/tools/theme_chooser.sh b/tools/theme_chooser.sh
index 4d7047444..2c2a379ba 100755
--- a/tools/theme_chooser.sh
+++ b/tools/theme_chooser.sh
@@ -24,7 +24,8 @@ function theme_preview() {
THEME_NAME=`echo $THEME | sed s/\.zsh-theme$//`
print "$fg[blue]${(l.((${COLUMNS}-${#THEME_NAME}-5))..─.)}$reset_color $THEME_NAME $fg[blue]───$reset_color"
source "$THEMES_DIR/$THEME"
- print -P $PROMPT
+ cols=$(tput cols)
+ print -P "$PROMPT $RPROMPT"
}
function banner() {
diff --git a/tools/upgrade.sh b/tools/upgrade.sh
index e04fc672f..9a8497d96 100644
--- a/tools/upgrade.sh
+++ b/tools/upgrade.sh
@@ -1,6 +1,6 @@
printf '\033[0;34m%s\033[0m\n' "Upgrading Oh My Zsh"
cd "$ZSH"
-if git pull --rebase origin master
+if git pull --rebase --stat origin master
then
printf '\033[0;32m%s\033[0m\n' ' __ __ '
printf '\033[0;32m%s\033[0m\n' ' ____ / /_ ____ ___ __ __ ____ _____/ /_ '